/*******************************************************************************
 
 
 	    FILE:	TypeMortgage.java
  
 	  AUTHOR:	Russell Lowke
     
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	Class to emulate enumeration for  
                enum mortgageType = {FIXEDRATE, VARIABLE};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public final class TypeMortgage implements java.io.Serializable {
    
    
    public static final TypeMortgage FIXEDRATE = new TypeMortgage();
	public static final TypeMortgage VARIABLE  = new TypeMortgage();
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypeMortgage() {
    }
    
	
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation the enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
		
		if (this == FIXEDRATE)
			mReturn = "FIXEDRATE";
		if (this == VARIABLE)
			mReturn = "VARIABLE";
			
		return mReturn;
	}
}