/*******************************************************************************
 
 
 	    FILE:	TypeParking.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Four, 

 
 	 PURPOSE:	Class to emulate enumeration for  
                enum mortgageType = {OFFSTREET, NOTAVAIL, GARAGE};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public final class TypeParking implements java.io.Serializable {
    
    
    public static final TypeParking OFFSTREET = new TypeParking();
	public static final TypeParking NOTAVAIL  = new TypeParking();
    public static final TypeParking GARAGE    = new TypeParking();
    
    /**																		   |
    *
    *	TypeParking Constructor.
    *
    */
	private TypeParking() {
    }
	
	
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (this == OFFSTREET)
			mReturn = "OFFSTREET";
		if (this == NOTAVAIL)
			mReturn = "NOTAVAIL";
		if (this == GARAGE)
			mReturn = "GARAGE";
			
		return mReturn;
	}
}