package examples.hello; 


import java.rmi.Naming; 
import java.rmi.RemoteException; 

public class HelloClient { 

    static String message = "blank"; 
  
    // "obj" is the identifier that we'll use to refer 
    // to the remote object that implements the "Hello" 
    // interface 
    static Hello obj = null; 

    public static void main(String []argv) { 
    String portNumber = System.getProperty("PORTNUMBER", "1099");
	try { 
	    obj = (Hello)Naming.lookup("//localhost:"+portNumber+"/HelloServer"); 
	    message = obj.sayHello(); 
	    System.out.println(message);
      System.out.println("My remote reference is : \n" + obj);
	} catch (java.rmi.RemoteException re) { 
	    System.out.println("HelloClient remote exception: " + 
				    re.getMessage()); 
	    re.printStackTrace(); 
	} catch (Exception e) { 
	    System.out.println("HelloClient exception: " + 
				    e.getMessage()); 
	    e.printStackTrace(); 
	} 
    } 

}
