/*******************************************************************************
 
 
 	    FILE:	TypePurchasingTF.java
  
 	  AUTHOR:	Russell Lowke
					
 	   CLASS:	CSCIE-247, Assignment Four

 
 	 PURPOSE:	Class to emulate enumeration for  
                enum mortgageType
                            = {WITHINTWOMONTHS, THREETOSIXMONTHS, JUSTLOOKING};
				
ASSOCIATIONS:	Enumeration type
 	
	MODIFIED:	November 28th 2003
 	  	
	   NOTES:	Tab Width = 4
 
 				Variable naming prefix conventions:
 					p 	= "property" of object, indicates member variable/field
 					m 	= "my", indicates a local variable to a method
 					obj = indicates an object from this package
  	
 
*******************************************************************************/

package cscie247.distress;

public final class TypePurchasingTF implements java.io.Serializable {
    
    public static final TypePurchasingTF WITHINTWOMONTHS  = new TypePurchasingTF();
	public static final TypePurchasingTF THREETOSIXMONTHS = new TypePurchasingTF();
    public static final TypePurchasingTF JUSTLOOKING      = new TypePurchasingTF();
    
    /**																		   |
    *
    *	UserType Constructor.
    *
    */
	private TypePurchasingTF() {
    }
	
	
	/**																		   |
    * 
    *	Override the toString() method of java.lang.Object for printing 
    *	properties of this instance.
	*
    *	@return	String		string representation of enumeration type
    */
	public String toString() {
	
		String mReturn;
		
		mReturn = "";
	
		if (this == WITHINTWOMONTHS)
			mReturn = "WITHINTWOMONTHS";
		if (this == THREETOSIXMONTHS)
			mReturn = "THREETOSIXMONTHS";
		if (this == JUSTLOOKING)
			mReturn = "JUSTLOOKING";
			
		return mReturn;
	}
}